astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- World Coordinate System (`astropy.wcs`) »
- Sip

# Sip

class `astropy.wcs.``Sip`

  Bases: `object`

  The `Sip` class performs polynomial distortion correction using the SIP convention in both directions.

  Parameters:

  a : double array[m+1][m+1]

  > The `A_i_j` polynomial for pixel to focal plane transformation. Its size must be (m + 1, m + 1) where m = `A_ORDER`.

  b : double array[m+1][m+1]

  > The `B_i_j` polynomial for pixel to focal plane transformation. Its size must be (m + 1, m + 1) where m = `B_ORDER`.

  ap : double array[m+1][m+1]

  > The `AP_i_j` polynomial for pixel to focal plane transformation. Its size must be (m + 1, m + 1) where m = `AP_ORDER`.

  bp : double array[m+1][m+1]

  > The `BP_i_j` polynomial for pixel to focal plane transformation. Its size must be (m + 1, m + 1) where m = `BP_ORDER`.

  crpix : double array[2]

  > The reference pixel.

  Notes

  Shupe, D. L., M. Moshir, J. Li, D. Makovoz and R. Narron. 2005. “The SIP Convention for Representing Distortion in FITS Image Headers.” ADASS XIV.

  Attributes Summary

  `a` | `double array[a_order+1][a_order+1]` Focal plane transformation
  `a_order` | `int` (read-only) Order of the polynomial (`A_ORDER`).
  `ap` | `double array[ap_order+1][ap_order+1]` Focal plane to pixel
  `ap_order` | `int` (read-only) Order of the polynomial (`AP_ORDER`).
  `b` | `double array[b_order+1][b_order+1]` Pixel to focal plane
  `b_order` | `int` (read-only) Order of the polynomial (`B_ORDER`).
  `bp` | `double array[bp_order+1][bp_order+1]` Focal plane to pixel
  `bp_order` | `int` (read-only) Order of the polynomial (`BP_ORDER`).
  `crpix` | `double array[naxis]` Coordinate reference pixels (`CRPIXja`) for

  Methods Summary

  `foc2pix` | sip_foc2pix(foccrd, origin) -> double array[ncoord][nelem]
  `pix2foc` | sip_pix2foc(pixcrd, origin) -> double array[ncoord][nelem]

  Attributes Documentation

  `a`

    `double array[a_order+1][a_order+1]` Focal plane transformation matrix.

    The SIP `A_i_j` matrix used for pixel to focal plane transformation.

    Its values may be changed in place, but it may not be resized, without creating a new `Sip` object.

  `a_order`

    `int` (read-only) Order of the polynomial (`A_ORDER`).

  `ap`

    `double array[ap_order+1][ap_order+1]` Focal plane to pixel transformation matrix.

    The SIP `AP_i_j` matrix used for focal plane to pixel transformation. Its values may be changed in place, but it may not be resized, without creating a new `Sip` object.

  `ap_order`

    `int` (read-only) Order of the polynomial (`AP_ORDER`).

  `b`

    `double array[b_order+1][b_order+1]` Pixel to focal plane transformation matrix.

    The SIP `B_i_j` matrix used for pixel to focal plane transformation. Its values may be changed in place, but it may not be resized, without creating a new `Sip` object.

  `b_order`

    `int` (read-only) Order of the polynomial (`B_ORDER`).

  `bp`

    `double array[bp_order+1][bp_order+1]` Focal plane to pixel transformation matrix.

    The SIP `BP_i_j` matrix used for focal plane to pixel transformation. Its values may be changed in place, but it may not be resized, without creating a new `Sip` object.

  `bp_order`

    `int` (read-only) Order of the polynomial (`BP_ORDER`).

  `crpix`

    `double array[naxis]` Coordinate reference pixels (`CRPIXja`) for each pixel axis.

  Methods Documentation

  `foc2pix`()

    sip_foc2pix(foccrd, origin) -> double array[ncoord][nelem]

    Convert focal plane coordinates to pixel coordinates using the SIP polynomial distortion convention.

    Parameters:

    foccrd : double array[ncoord][nelem]

    > Array of focal plane coordinates.

    origin : int

    > Specifies the origin of pixel values. The Fortran and FITS standards use an origin of 1. Numpy and C use array indexing with origin at 0.

    Returns:

    pixcrd : double array[ncoord][nelem]

    > Returns an array of pixel coordinates.

    Raises:

    MemoryError

    > Memory allocation failed.

    ValueError

    > Invalid coordinate transformation parameters.

  `pix2foc`()

    sip_pix2foc(pixcrd, origin) -> double array[ncoord][nelem]

    Convert pixel coordinates to focal plane coordinates using the SIP polynomial distortion convention.

    Parameters:

    pixcrd : double array[ncoord][nelem]

    > Array of pixel coordinates.

    origin : int

    > Specifies the origin of pixel values. The Fortran and FITS standards use an origin of 1. Numpy and C use array indexing with origin at 0.

    Returns:

    foccrd : double array[ncoord][nelem]

    > Returns an array of focal plane coordinates.

    Raises:

    MemoryError

    > Memory allocation failed.

    ValueError

    > Invalid coordinate transformation parameters.